org.omg.CORBA

## Class UnknownUserException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.omg.CORBA.UserException
      - - org.omg.CORBA.UnknownUserException

All Implemented Interfaces:
  Serializable, IDLEntity

    public final class UnknownUserException
    extends UserException

A class that contains user exceptions returned by the server. When the client uses the DII to make an invocation, any user exception returned from the server is enclosed in an `Any` object contained in the `UnknownUserException` object. This is available from the `Environment` object returned by the method `Request.env`.

See Also:
  documentation on Java IDL exceptions, `Request`

### Field Summary

Fields
`Any` `except` The `Any` instance that contains the actual user exception thrown by the server.

### Constructor Summary

Constructors
Constructor and Description
`UnknownUserException()` Constructs an `UnknownUserException` object.
`UnknownUserException(Any a)` Constructs an `UnknownUserException` object that contains the given `Any` object.

### Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### except

    public Any except

The `Any` instance that contains the actual user exception thrown by the server.

### Constructor Detail

#### UnknownUserException

    public UnknownUserException()

Constructs an `UnknownUserException` object.

#### UnknownUserException

    public UnknownUserException(Any a)

Constructs an `UnknownUserException` object that contains the given `Any` object.

Parameters:
  `a` - an `Any` object that contains a user exception returned by the server